body {
    background: linear-gradient(180deg, #f14, #ff8300) fixed;
}

.wrapper {
    margin: 0;
    padding: 0;
    z-index: 6;
    width: 80%;
    padding: 5rem;
    grid-gap: 0.2rem;
    color: white;
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
}

.blackpink {
    z-index: 2;
    font-size: 4rem;
    font-weight: 500;
    letter-spacing: 8px;
    padding: 0rem 2rem;
    border: 10px solid white;
    text-align: center;
    opacity: 0;
    border-radius: 5px;
    animation: lightson .5s ease 3 forwards;
}

@keyframes lightson {
    0% {
        opacity: 0;
        text-shadow: 0px 0px 0px #FE1DAD, 0px 0px 0px #FE1DAD, 0px 0px 0px #FE1DAD;
        box-shadow: 0px 0px 0px 0px #fe1dad, 0px 0px 0px 0px #fe1dad,0px 0px 0px 0px #fe1dad, inset 0px 0px 0px #FE1DAD;
    }

    20% {
        opacity: 0.5;
        text-shadow: 0px 0px 2.5px #FE1DAD, 0px 0px 5px #FE1DAD, 1px 1px 25px #FE1DAD;
        box-shadow: 0px 0px 5px 0px #fe1dad, 0px 0px 10px 0px #fe1dad,0px 0px 50px 0px #fe1dad, inset 0px 0px 20px #FE1DAD;
    }

    40% {
        opacity: 0;
        text-shadow: 0px 0px 1px #FE1DAD, 0px 0px 2px #FE1DAD, 0px 0px 10px #FE1DAD;
        box-shadow: 0px 0px 2px 0px #fe1dad, 0px 0px 5px 0px #fe1dad,0px 0px 25px 0px #fe1dad, inset 0px 0px 10px #FE1DAD;
    }

    50% {
        opacity: 1;
        text-shadow: 0px 0px 5px #FE1DAD, 0px 0px 10px #FE1DAD, 1px 1px 50px #FE1DAD;
        box-shadow: 0px 0px 10px 0px #fe1dad, 0px 0px 20px 0px #fe1dad,0px 0px 100px 0px #fe1dad, inset 0px 0px 30px #FE1DAD;
    }

    100% {
        opacity: 1;
        text-shadow: 0px 0px 5px #FE1DAD, 0px 0px 10px #FE1DAD, 1px 1px 50px #FE1DAD;
        box-shadow: 0px 0px 10px 0px #fe1dad, 0px 0px 30px 0px #fe1dad,0px 0px 100px 0px #fe1dad, inset 0px 0px 30px #FE1DAD;
    }
}

.blackpink span {
    transform: scaleX(-1);
    display: inline-block;
}

.blackpinktagline {
    position: absolute;
    z-index: 1000;
    top: 90px;
    left: 100px;
    text-align: center;
    font-size: 1.2rem;
}

    .blackpinktagline a {
        text-decoration: none;
        color: aqua;
    }

    .blackpinktagline:hover {
        position: absolute;
        z-index: 1001;
        text-align: center;
        background: radial-gradient(rgb(250 0 229 / 0.5), rgb(237 7 247 / 0.01)); /* 标准的语法（必须放在最后） */
        transform: scale(1.2);
        transition: transform 0.4s cubic-bezier(0.11, 0, 0.5, 0);
    }

@media(max-width: 1150px) {
    .blackpink {
        font-size: 3rem;
        padding: 2rem 0;
        letter-spacing: 2px;
    }

    .button1 {
        width: 150px;
        height: 40px;
        font-size: 20px;
    }
}


@media(max-width: 789px) {
    .wrapper {
        width: 80%;
        padding: 2rem;
    }

    .blackpink {
        font-size: 1rem;
        letter-spacing: 2px;
    }

    .blackpinktagline {
        top: 50px;
        left: 60px;
        font-size: 1.0rem;
    }

    .button1 {
        width: 130px;
        height: 30px;
        font-size: 18px;
    }
}

.filter-shadow {
    position: absolute;
    margin: 0px;
    padding: 0px;
    text-align: center;
    width: 100%;
    font-size: 40px;
    z-index: 500;
    color: transparent;
    background: linear-gradient(180deg, #fefefe, #bbb);
    -webkit-background-clip: text;
    background-clip: text;
    filter: drop-shadow(-1px -1px white) drop-shadow(1px 1px gray) drop-shadow(1px 1px #7a7a7a) drop-shadow(1px 1px #757575) drop-shadow(1px 1px #707070) drop-shadow(1px 1px #6b6b6b) drop-shadow(1px 1px #666666) drop-shadow(1px 1px #616161) drop-shadow(1px 1px #5c5c5c) drop-shadow(1px 1px #575757) drop-shadow(1px 1px #525252) drop-shadow(1px 1px #4d4d4d) drop-shadow(12px 12px 30px rgba(0, 0, 0, 0.2)) drop-shadow(12px 12px 10px rgba(0, 0, 0, 0.2));
}

.smjb {
    position: absolute;
    margin: 0 auto;
    padding: 0px;
    text-align: center;
    width: 100%;
    height: 180px;
    top: 10%;
    z-index: 600;
}

.button1d {
    position: absolute;
    margin: 0 auto;
    padding: 0px;
    text-align: center;
    color: #5a0000;
    background: linear-gradient(180deg, #ffffff, #f7b1b1);
    font-size: 1.2em;
    height: 25px;
    top: 140px;
    left: 0;
    right: 0;
}

    .button1d:hover {
        background: linear-gradient(180deg, rgb(0 0 0 / 0.00), rgb(0 0 0 / 0.00));
        background-color: rgba(255,255,255,0);
        color: #ffffff;
    }
